Announcement

Collapse
No announcement yet.

Deadfall Adventures Is Out For Linux, AMD Users Beware

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Deadfall Adventures Is Out For Linux, AMD Users Beware

    Phoronix: Deadfall Adventures Is Out For Linux, AMD Users Beware

    As of this morning the Deadfall Adventures action game is now out in beta form for Linux gamers on Steam...

    http://www.phoronix.com/vr.php?view=MTU1NjY

  • #2
    Sweet!

    Anyone owning the game already can confirm it works on Linux?? I'm on NVidia.. If it does i'm so buying this!

    Comment


    • #3
      Well, I'm the porter and it works for me.

      Comment


      • #4
        Originally posted by IneQuation View Post
        Well, I'm the porter and it works for me.
        Since we've got you here...

        Do you happen to know which GL version/features/extensions are required?

        I'm mostly trying to figure out if it'd work on the OSS radeon drivers (because Catalyst is silly). Is GL 3.1 sufficient, or are there 4.0 features that are needed?

        And well, I guess if the r600g/radeonsi drivers are missing required features, there'll be a bug report on dri-devel/mesa-dev in the next few hours, anyway.

        Comment


        • #5
          Originally posted by IneQuation View Post
          Well, I'm the porter and it works for me.
          Really??
          Well, nuff said then!

          I suppose i just need to buy the game and then in game config opt in for beta and i should be able to dl and install?

          Comment


          • #6
            No opt-in is necessary. The beta is the mainline in the Linux package.

            Comment


            • #7
              The article title is pretty awesome, if rather confusing.

              Comment


              • #8
                Originally posted by IneQuation View Post
                No opt-in is necessary. The beta is the mainline in the Linux package.
                Ok, thx for the info

                Comment


                • #9
                  Originally posted by Veerappan View Post
                  Since we've got you here...

                  Do you happen to know which GL version/features/extensions are required?

                  I'm mostly trying to figure out if it'd work on the OSS radeon drivers (because Catalyst is silly). Is GL 3.1 sufficient, or are there 4.0 features that are needed?

                  And well, I guess if the r600g/radeonsi drivers are missing required features, there'll be a bug report on dri-devel/mesa-dev in the next few hours, anyway.
                  The game works on my Mobility Radeon HD 3650 on the r600, so you should be fine. We're targeting OpenGL 2.1 + the following extensions:

                  "GL_ARB_depth_texture",
                  "GL_ARB_framebuffer_object",
                  "GL_ARB_instanced_arrays",
                  "GL_ARB_map_buffer_range",
                  "GL_ARB_occlusion_query",
                  "GL_ARB_pixel_buffer_object",
                  "GL_ARB_shader_texture_lod",
                  "GL_ARB_texture_float",
                  "GL_ARB_texture_rectangle",
                  "GL_ARB_texture_rg",
                  "GL_EXT_packed_depth_stencil",
                  "GL_EXT_texture_compression_s3tc",
                  "GL_EXT_texture_filter_anisotropic",
                  "GL_EXT_texture_sRGB",

                  Mind you that some distros may need to install an additional package to support S3TC.

                  Comment


                  • #10
                    Bought it and now DL:ing.. fingers crossed

                    Comment

                    Working...
                    X